<?
  // VStarBlogEngine - settings.php
  // (C) 2008-2012 Vladislav Staroselskiy (inet@vladstar.com)

  // Database access parameters
  // MAKE SURE YOU REDEFINE USERNAME AND A PASSWORD !
  define('BLOG_DATABASE_NAME','blog');
  define('BLOG_DATABASE_USER','blog');
  define('BLOG_DATABASE_PASSWORD','replace_me_with_something_else');
  define('BLOG_DATABASE_HOST','localhost');

  // Main blog title, at the top
  define('BLOG_MAIN_TITLE', iconv('windows-1251','utf-8',' '));

  // LiveJournal settings
  define('BLOG_LJ_ENABLE_CROSSPOST',false); // enable or disable LJ crosspost feature, true/false
  define('BLOG_LJ_JOURNAL',BLOG_LJ_LOGIN); // may differ from LOGIN, if you post to the community
  define('BLOG_LJ_CONNECTION_TIMEOUT',10); // connection timeout, in seconds
  define('BLOG_LJ_CLOSE_COMMENTS',false); // default value for allowing/disallowing commens in LJ
  define('BLOG_LJ_COMMENTS',iconv('windows-1251','utf-8','   ')); // add this link to the end of post in LJ
  define('BLOG_LJ_LEAVE_COMMENT',iconv('windows-1251','utf-8','  ')); // add this link to the end of post in LJ
  define('BLOG_LJ_USER_AGENT','http://vladstar.com/blog/; blog@vladstar.com'); // user agent, presented to LJ server while synchronizing content
  define('BLOG_LJ_POSTS_TABLE','LJ_Posts'); // LJ table with cached posts
  define('BLOG_LJ_COMMENTS_TABLE','LJ_Comments'); // LJ table with cached comments
  define('BLOG_LJ_SYNC_TITLE', iconv('windows-1251','utf-8','    ')); // LJ sync title
  define('BLOG_LJ_SYNC_COMMENTS_TITLE', iconv('windows-1251','utf-8','     ')); // LJ comments sync title

  // Use SSL to submit login information. Make sure you have Javascript enabled, in case you disable it
  define('BLOG_LOGIN_USE_SSL',true);

  // Language definition, standard 2-chars definition for the HTML header
  define('BLOG_LANGUAGE','ru');

  // RSS blog title
  define('BLOG_RSS_TITLE', BLOG_MAIN_TITLE);

  // Tags, allowed in comments
  define('BLOG_ALLOWED_TAGS','<b><i><u><a><img><blockquote><font>');

  // Default style prefix
  define('BLOG_CSS_STYLE','blog');

  // Date and time formats, in MySQL notation
  define('BLOG_DATE_FORMAT','%m/%d/%Y');
  define('BLOG_TIME_FORMAT','%H:%i');

  // Number of titles in preview mode, shown by default
  define('BLOG_TITLES_LIMIT', 20);

  // Number of comments, shown by default on a page
  define('BLOG_COMMENTS_LIMIT', 50);

  // Number of titles in a list (no preview), shown by default
  define('BLOG_PREVIEW_TITLES_LIMIT', 20);

  // Number of rows, shown on admin page for the table
  define('BLOG_ADMIN_ROWS_LIMIT', 50);

  // Number of comments, shown by default through RSS
  define('BLOG_RSS_ROWS_LIMIT', 20);

  // Whether to show post counters next to tags or not
  define('BLOG_TAGS_SHOW_COUNTERS', true);

  // How many max characters is allowed in a single word, befor it will be splitted
  define('BLOG_WORD_CHARS_LIMIT', 100);

  // Stats box definitions:
  define('BLOG_STATS_DAYS', 30); // How many days to show in statistics (first number)
  define('BLOG_STATS_POSTS', iconv('windows-1251','utf-8',''));
  define('BLOG_STATS_COMMENTS', iconv('windows-1251','utf-8',''));
  define('BLOG_STATS_SPAM', iconv('windows-1251','utf-8',''));
  define('BLOG_STATS_HEADER', iconv('windows-1251','utf-8','<b></b>'));
  define('BLOG_STATS_HEADER_2', iconv('windows-1251','utf-8','( '.BLOG_STATS_DAYS.'  / )'));

  // Expiration time for the cookies, in seconds
  define('BLOG_COOKIE_EXPIRATION',60*60*24*30); // 30 days
  define('BLOG_SESSION_EXPIRATION',60*60*6);   // 6 hours

  // HTML body elements
  define('BLOG_TAGS',iconv('windows-1251','utf-8','<b></b>'));
  define('BLOG_ARCHIVE',iconv('windows-1251','utf-8','<b></b>'));
  define('BLOG_COMMENTS',iconv('windows-1251','utf-8','<b></b>'));
  define('BLOG_COMMENTS_REPLY',iconv('windows-1251','utf-8',''));
  define('BLOG_COMMENTS_THREAD',iconv('windows-1251','utf-8',''));
  define('BLOG_COMMENTS_SUBSCRIBED_REPLIES',iconv('windows-1251','utf-8','<small title="  ">()</small>'));
  define('BLOG_COMMENTS_SUBSCRIBED_POST',iconv('windows-1251','utf-8','<small title="   ">()</small>'));
  define('BLOG_POST_REPLY',iconv('windows-1251','utf-8',''));
  define('BLOG_POST_COMMENT',iconv('windows-1251','utf-8',' '));
  define('BLOG_NONE',iconv('windows-1251','utf-8',''));
  define('BLOG_POSTED_BY',iconv('windows-1251','utf-8',':'));
  define('BLOG_BY_TAG',iconv('windows-1251','utf-8',':'));
  define('BLOG_BY_DATE',iconv('windows-1251','utf-8','  '));
  define('BLOG_OLDER','<img src="images/left.gif">');
  define('BLOG_OLDER_DESCRIPTION',iconv('windows-1251','utf-8','  '));
  define('BLOG_NEWER','<img src="images/right.gif">');
  define('BLOG_NEWER_DESCRIPTION',iconv('windows-1251','utf-8','  '));
  define('BLOG_OF',iconv('windows-1251','utf-8',''));
  define('BLOG_MORE',iconv('windows-1251','utf-8','...  '));
  define('BLOG_NO',iconv('windows-1251','utf-8',''));
  define('BLOG_YES',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ',iconv('windows-1251','utf-8','<b></b>'));
  define('BLOG_LJ_LINK',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_ERROR',iconv('windows-1251','utf-8','   :'));

  // Comment form parameters
  define('BLOG_COMMENT_FORM_NAME',iconv('windows-1251','utf-8','<b></b>'));
  define('BLOG_COMMENT_FORM_EMAIL','<b>E-mail</b>');
  define('BLOG_COMMENT_FORM_SUBSCRIBE',iconv('windows-1251','utf-8','<b></b>'));
  define('BLOG_COMMENT_FORM_BODY',iconv('windows-1251','utf-8','<b></b>'));
  define('BLOG_COMMENT_FORM_NOTICE',iconv('windows-1251','utf-8','E-mail ,    ;  HTML-: '.htmlspecialchars(BLOG_ALLOWED_TAGS)));
  define('BLOG_COMMENT_FORM_ADD_BUTTON',iconv('windows-1251','utf-8',' '));
  define('BLOG_COMMENT_FORM_REGENERATE_BUTTON',iconv('windows-1251','utf-8',''));

  define('BLOG_TOP_FORM_NAME',iconv('windows-1251','utf-8','<b></b>'));
  define('BLOG_TOP_FORM_PASS',iconv('windows-1251','utf-8','<b></b>'));
  define('BLOG_TOP_FORM_LOGIN_BUTTON',iconv('windows-1251','utf-8',''));
  define('BLOG_TOP_FORM_LOGOUT_BUTTON',iconv('windows-1251','utf-8',''));
  define('BLOG_TOP_FORM_PROFILE_BUTTON',iconv('windows-1251','utf-8',''));
  define('BLOG_TOP_FORM_LOGGED',iconv('windows-1251','utf-8','   '));

  define('BLOG_PROFILE_FORM_TITLE',iconv('windows-1251','utf-8',' '));
  define('BLOG_PROFILE_FORM_NAME',iconv('windows-1251','utf-8',' '));
  define('BLOG_PROFILE_FORM_EMAIL','E-Mail');
  define('BLOG_PROFILE_FORM_CURRENT_PASS',iconv('windows-1251','utf-8','<b> </b>'));
  define('BLOG_PROFILE_FORM_NEW_PASS1',iconv('windows-1251','utf-8','<b> </b>'));
  define('BLOG_PROFILE_FORM_NEW_PASS2',iconv('windows-1251','utf-8','<b>  </b>'));
  define('BLOG_PROFILE_FORM_LJ_NAME',iconv('windows-1251','utf-8','<b>   </b>'));
  define('BLOG_PROFILE_FORM_LJ_PASS',iconv('windows-1251','utf-8','<b>  </b> (   MD5)'));
  define('BLOG_PROFILE_FORM_UPDATE_BUTTON',iconv('windows-1251','utf-8',' '));
  define('BLOG_PROFILE_FORM_NOTICE',iconv('windows-1251','utf-8','       .<br>     -        .'));

  // Control form parameters, you may neet adjust them, depending on the width of your page
  define('BLOG_ADMIN_FORM_STRING_LENGTH',106);
  define('BLOG_ADMIN_FORM_TEXTAREA_ROWS',15);
  define('BLOG_ADMIN_FORM_TEXTAREA_COLS',75);

  // Various control string definitions, feel free to change them as needed
  define('BLOG_ADMIN',iconv('windows-1251','utf-8',''));
  define('BLOG_ADMIN_TITLE',iconv('windows-1251','utf-8','  '));
  define('BLOG_ADMIN_POST_ADD',iconv('windows-1251','utf-8','  '));
  define('BLOG_ADMIN_POST_EDIT',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_POST_DELETE',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_POST_SAVE',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_POST_CLOSE_COMMENTS',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_POST_OPEN_COMMENTS',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_POST_SUBSCRIBE_COMMENTS',iconv('windows-1251','utf-8',''));
  define('BLOG_ADMIN_POST_UNSUBSCRIBE_COMMENTS',iconv('windows-1251','utf-8',''));
  define('BLOG_ADMIN_ENABLE',iconv('windows-1251','utf-8',' -'));
  define('BLOG_ADMIN_DISABLE',iconv('windows-1251','utf-8','  '));
  define('BLOG_ADMIN_BAN_IP',iconv('windows-1251','utf-8',' IP'));
  define('BLOG_ADMIN_UNBAN_IP',iconv('windows-1251','utf-8',' IP'));
  define('BLOG_ADMIN_KILL_SPAM',iconv('windows-1251','utf-8','  -'));
  define('BLOG_ADMIN_DELETE_UNUSED_TAGS',iconv('windows-1251','utf-8','   '));
  define('BLOG_ADMIN_NOTICE',iconv('windows-1251','utf-8','    .     <b>&lt;!--more--&gt;</b>       .'));
  define('BLOG_ADMIN_BACK','<img src="images/left.gif">');
  define('BLOG_ADMIN_BACK_DESCRIPTION',iconv('windows-1251','utf-8',''));
  define('BLOG_ADMIN_FORWARD','<img src="images/right.gif">');
  define('BLOG_ADMIN_FORWARD_DESCRIPTION',iconv('windows-1251','utf-8',''));
  define('BLOG_ADMIN_ADD',iconv('windows-1251','utf-8','  '));
  define('BLOG_ADMIN_EDIT','<img src="images/edit.gif">');
  define('BLOG_ADMIN_EDIT_DESCRIPTION',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_DELETE','<img src="images/delete.gif">');
  define('BLOG_ADMIN_DELETE_DESCRIPTION',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_ADD_RECORD',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_EDIT_RECORD',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_DELETE_RECORD',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_SAVE_RECORD',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_ACTIONS',iconv('windows-1251','utf-8',''));
  define('BLOG_ADMIN_TABLE_MANAGEMENT',iconv('windows-1251','utf-8',' '));
  define('BLOG_ADMIN_LJ_ALLOW_COMMENTS',iconv('windows-1251','utf-8','   -'));
  define('BLOG_ADMIN_LJ_ADD_FOOTER',iconv('windows-1251','utf-8','     -'));


  define('BLOG_POSTS_TABLE_COMMENT_STATUS_OPEN_NAME',iconv('windows-1251','utf-8',''));
  define('BLOG_POSTS_TABLE_COMMENT_STATUS_CLOSE_NAME',iconv('windows-1251','utf-8',''));
  define('BLOG_POSTS_TABLE_POST_STATUS_PUBLIC_NAME',iconv('windows-1251','utf-8',''));
  define('BLOG_POSTS_TABLE_POST_STATUS_FRIENDS_NAME',iconv('windows-1251','utf-8','  '));
  define('BLOG_POSTS_TABLE_POST_STATUS_FRIENDS_SIGN','<img src="images/friends.gif">');
  define('BLOG_POSTS_TABLE_POST_STATUS_PRIVATE_NAME',iconv('windows-1251','utf-8',''));
  define('BLOG_POSTS_TABLE_POST_STATUS_PRIVATE_SIGN','<img src="images/private.gif">');
  define('BLOG_SPAMFILTERS_TABLE_TYPE_IP_NAME',iconv('windows-1251','utf-8','IP-'));
  define('BLOG_SPAMFILTERS_TABLE_TYPE_BODY_KEYWORD_NAME',iconv('windows-1251','utf-8','.'));
  define('BLOG_COMMENTS_TABLE_STATUS_NORMAL_NAME',iconv('windows-1251','utf-8',' '));
  define('BLOG_COMMENTS_TABLE_STATUS_SPAM_NAME',iconv('windows-1251','utf-8',''));
  define('BLOG_COMMENTS_TABLE_SUBSCRIBE_NO_NAME',iconv('windows-1251','utf-8',''));
  define('BLOG_COMMENTS_TABLE_SUBSCRIBE_REPLIES_NAME',iconv('windows-1251','utf-8',' '));
  define('BLOG_COMMENTS_TABLE_SUBSCRIBE_POST_NAME',iconv('windows-1251','utf-8',' '));
  define('BLOG_USERS_TABLE_USER_STATUS_LOCKED_NAME',iconv('windows-1251','utf-8',''));
  define('BLOG_USERS_TABLE_USER_STATUS_COMMENTER_NAME',iconv('windows-1251','utf-8',''));
  define('BLOG_USERS_TABLE_USER_STATUS_REGULAR_NAME',iconv('windows-1251','utf-8',''));
  define('BLOG_USERS_TABLE_USER_STATUS_ADMIN_NAME',iconv('windows-1251','utf-8',''));

  // Comment parameters to make color gradient in a tree
  define('BLOG_COMMENTS_BG_COLOR_ODD', 'F0F8F0');
  define('BLOG_COMMENTS_BG_COLOR_EVEN', 'F0FFFF');
  define('BLOG_COMMENTS_BG_COLOR_DECREMENT', '020202');
  define('BLOG_COMMENTS_BG_COLOR_MIN', '808080');
  define('BLOG_COMMENTS_COLOR_SPAM', 'CCCCCC');
  define('BLOG_COMMENTS_COLOR', '000000');

  // Captcha parameters:
  define('BLOG_CAPTCHA',iconv('windows-1251','utf-8',' ,    '));
  define('BLOG_CAPTCHA_FILE','captcha.jpg');
  define('BLOG_CAPTCHA_CHARSET','0123456789');
  define('BLOG_CAPTCHA_LENGTH',6);
  define('BLOG_CAPTCHA_HEIGHT',20);
  define('BLOG_CAPTCHA_WIDTH',60);

  // Various messages
  define('BLOG_MESSAGE_POST_NOT_FOUND',iconv('windows-1251','utf-8',',     '));
  define('BLOG_MESSAGE_POST_NO_TITLE',iconv('windows-1251','utf-8',',     '));
  define('BLOG_MESSAGE_POST_NO_CONTENT',iconv('windows-1251','utf-8',',     '));
  define('BLOG_MESSAGE_POST_NO_TAGS',iconv('windows-1251','utf-8',',     '));
  define('BLOG_MESSAGE_CANNOT_CREATE_CAPTCHA',iconv('windows-1251','utf-8','<i>      ('.BLOG_CAPTCHA_FILE.'),   ,        </i>'));
  define('BLOG_MESSAGE_NO_NAME',iconv('windows-1251','utf-8',',      '));
  define('BLOG_MESSAGE_INVALID_EMAIL',iconv('windows-1251','utf-8',',     e-mail,   '));
  define('BLOG_MESSAGE_INVALID_PASS',iconv('windows-1251','utf-8',',     ,   '));
  define('BLOG_MESSAGE_PASSES_DONT_MATCH',iconv('windows-1251','utf-8',',      -   '));
  define('BLOG_MESSAGE_NO_MESSAGE',iconv('windows-1251','utf-8',',       '));
  define('BLOG_MESSAGE_WRONG_CAPTCHA',iconv('windows-1251','utf-8',',     -   '));
  define('BLOG_MESSAGE_POST_NOT_ALLOWED',iconv('windows-1251','utf-8',',    ,    '));
  define('BLOG_MESSAGE_COMMENT_ADDED',iconv('windows-1251','utf-8','    .  !'));
  define('BLOG_MESSAGE_DUPLICATE_COMMENT',iconv('windows-1251','utf-8',', ,     '));
  define('BLOG_MESSAGE_BANNED_IP',iconv('windows-1251','utf-8',',   IP  '));
  define('BLOG_MESSAGE_BANNED_KEYWORDS',iconv('windows-1251','utf-8',',       - ,  '));
  define('BLOG_MESSAGE_INCORRECT_LOGIN',iconv('windows-1251','utf-8',',       - '));
  define('BLOG_MESSAGE_LOCKED_ACCOUNT',iconv('windows-1251','utf-8',',     '));
  define('BLOG_MESSAGE_ACCESS_DENIED',iconv('windows-1251','utf-8',',  '));
  define('BLOG_MESSAGE_UNSUBSCRIBE',iconv('windows-1251','utf-8','     '));

  define('BLOG_MESSAGE_ADMIN_NO_TABLE',iconv('windows-1251','utf-8',',     '));
  define('BLOG_MESSAGE_LJ_CROSSPOST_DISABLED',iconv('windows-1251','utf-8',',     ')); // Disabled LJ crosspost message

  // Mail defiinitions
  define('BLOG_MAIL_ENABLE_NOTIFICATIONS',true); // enable or disable e-mail notifications, true/false
  define('BLOG_MAIL_NOTIFICATION_FROM',$_SERVER["SERVER_NAME"].' blog'.' <nobody@'.$_SERVER["SERVER_NAME"].'>');
  define('BLOG_MAIL_NOTIFICATION_SUBJECT',iconv('windows-1251','utf-8','      '.$_SERVER["SERVER_NAME"]));
  define('BLOG_MAIL_NOTIFICATION_HEAD',"");
  define('BLOG_MAIL_NOTIFICATION_TAIL',iconv('windows-1251','utf-8',',      -  -     '));
  define('BLOG_MAIL_NOTIFICATION_UNSUBSCRIBE',iconv('windows-1251','utf-8','     ,   :'));
  // Charset re-encoding requires an 'iconv' php extension to be installed:
  define('BLOG_MAIL_NOTIFICATION_IN_CHARSET','utf-8');
  define('BLOG_MAIL_NOTIFICATION_OUT_CHARSET','windows-1251');
  define('BLOG_MAIL_NOTIFICATION_HEADERS','Content-type: text/plain; charset='.BLOG_MAIL_NOTIFICATION_OUT_CHARSET."\n"."From: ".BLOG_MAIL_NOTIFICATION_FROM."\n");
  define('BLOG_MAIL_NOTIFICATION_WROTE',iconv('windows-1251','utf-8',' ()'));
  define('BLOG_MAIL_NOTIFICATION_REPLYTO',iconv('windows-1251','utf-8',' () '));

  define('BLOG_LJ_SYNC_ACTION_START',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_ACTION_NEXT',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_ACTION_FINISH',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_ACTION_SYNC',iconv('windows-1251','utf-8','    '));
  define('BLOG_LJ_SYNC_ACTION_CANCEL',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_ACTION_ADD_TO_BLOG',iconv('windows-1251','utf-8','  '));
  define('BLOG_LJ_SYNC_ACTION_DELETE_FROM_LJ',iconv('windows-1251','utf-8','  '));
  define('BLOG_LJ_SYNC_ACTION_UPDATE_BLOG',iconv('windows-1251','utf-8','  '));
  define('BLOG_LJ_SYNC_ACTION_UPDATE_LJ',iconv('windows-1251','utf-8','   '));
  define('BLOG_LJ_SYNC_ACTION_NONE',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_DIFF_TITLE',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_DIFF_POST_STATUS',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_DIFF_LJ_ID',iconv('windows-1251','utf-8','  '));
  define('BLOG_LJ_SYNC_DIFF_LJ_URL',iconv('windows-1251','utf-8','URL  '));
  define('BLOG_LJ_SYNC_DIFF_CONTENT',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_DIFF_MISSING',iconv('windows-1251','utf-8',' '));
  define('BLOG_LJ_SYNC_PROCESS_DONE',iconv('windows-1251','utf-8','<p>  .  - ,  - ! ;-)</p>'));
  define('BLOG_LJ_SYNC_PROCESSING_1',iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_PROCESSING_2',iconv('windows-1251','utf-8',', '));
  define('BLOG_LJ_SYNC_BLOG2LJ_NOTICE',iconv('windows-1251','utf-8','<p> ,    ,     .      ?</p>'));
  define('BLOG_LJ_SYNC_BLOG2LJ_ADD',iconv('windows-1251','utf-8','   '));
  define('BLOG_LJ_SYNC_BLOG2LJ_NEW_LJ_RECORD',iconv('windows-1251','utf-8','       '));
  define('BLOG_LJ_SYNC_BLOG2LJ_FAILED',iconv('windows-1251','utf-8',' '));
  define('BLOG_LJ_SYNC_START_NOTICE',iconv('windows-1251','utf-8','   -  ,   <br>,    -   </b>').BLOG_LJ_SYNC_ACTION_START.'</b>.');
  define('BLOG_LJ_SYNC_START_COMPLETE',iconv('windows-1251','utf-8',' '));
  define('BLOG_LJ_SYNC_START_CONTINUE',iconv('windows-1251','utf-8','  '));
  define('BLOG_LJ_SYNC_NO_NEW_RECORDS',iconv('windows-1251','utf-8',',     .'));
  define('BLOG_LJ_SYNC_FETCHING_DATA',iconv('windows-1251','utf-8','   ... '));
  define('BLOG_LJ_SYNC_PARSING_DATA',iconv('windows-1251','utf-8','  ... '));
  define('BLOG_LJ_SYNC_MATCHING_DATA',iconv('windows-1251','utf-8','      ... '));
  define('BLOG_LJ_SYNC_RESULTS',iconv('windows-1251','utf-8',' -   '));
  define('BLOG_LJ_SYNC_FOUND', iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_RECORDS', iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_DONE', iconv('windows-1251','utf-8',''));

  define('BLOG_LJ_SYNC_COMMENTS_IMPORT_WAIT', iconv('windows-1251','utf-8',' , ... '));
  define('BLOG_LJ_SYNC_COMMENTS_BUILD_TREE_WAIT', iconv('windows-1251','utf-8','  , ... '));
  define('BLOG_LJ_SYNC_COMMENTS_DONE', iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_COMMENTS_TOP_NOTICE', iconv('windows-1251','utf-8','<p><small>   - - ,   .     ""   <a href="sync_comments.php"> </a>,       .</small></p>'));
  define('BLOG_LJ_SYNC_COMMENTS_DL_METADATA_AND_USERMAPS', iconv('windows-1251','utf-8','<b>    :</b>'));
  define('BLOG_LJ_SYNC_COMMENTS_RECORDS_ADDED_TO_CACHE', iconv('windows-1251','utf-8','    '));
  define('BLOG_LJ_SYNC_COMMENTS_DL_COMMENTS', iconv('windows-1251','utf-8','<b> :</b>'));
  define('BLOG_LJ_SYNC_COMMENTS_NO_NEW_COMMENTS', iconv('windows-1251','utf-8','    .'));
  define('BLOG_LJ_SYNC_COMMENTS_NEW_COMMENTS_1', iconv('windows-1251','utf-8',' '));
  define('BLOG_LJ_SYNC_COMMENTS_NEW_COMMENTS_2', iconv('windows-1251','utf-8','     .   ?'));
  define('BLOG_LJ_SYNC_COMMENTS_PARSING', iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_COMMENTS_RECORDS', iconv('windows-1251','utf-8',''));
  define('BLOG_LJ_SYNC_COMMENTS_MAX_ATTEMPTS', 50);
  define('BLOG_LJ_SYNC_COMMENTS_LOAD',iconv('windows-1251','utf-8',' '));
  define('BLOG_LJ_SYNC_COMMENTS_STARTID',iconv('windows-1251','utf-8',' ,  '));

  // This is to substitute field names, while adding/editing or deleting records
  $FieldNames=array(
    'CreatedOn'=>iconv('windows-1251','utf-8',''),
    'LastAccess'=>iconv('windows-1251','utf-8',' '),
    'Title'=>iconv('windows-1251','utf-8',''),
    'Content'=>iconv('windows-1251','utf-8',''),
    'PostStatus'=>iconv('windows-1251','utf-8',' '),
    'CommentsStatus'=>iconv('windows-1251','utf-8',' .'),
    'Subscribe'=>iconv('windows-1251','utf-8',''),
    'Tags'=>iconv('windows-1251','utf-8',''),
    'Username'=>iconv('windows-1251','utf-8',' '),
    'Password'=>iconv('windows-1251','utf-8',''),
    'Parent_ID'=>iconv('windows-1251','utf-8',' '),
    'Author'=>iconv('windows-1251','utf-8',''),
    'Status'=>iconv('windows-1251','utf-8',''),
    'IP_address'=>iconv('windows-1251','utf-8','IP-'),
    'Keyword'=>iconv('windows-1251','utf-8','.'),
    'Type'=>iconv('windows-1251','utf-8',''),
    'Tag'=>iconv('windows-1251','utf-8',''),
    'Fullname'=>iconv('windows-1251','utf-8',' '),
    'LJ_ID'=>iconv('windows-1251','utf-8','ID  '),
    'Post_ID'=>iconv('windows-1251','utf-8','ID  '),
    'Difference'=>iconv('windows-1251','utf-8',''),
    'Action'=>iconv('windows-1251','utf-8',''),
    'Add'=>iconv('windows-1251','utf-8','')
  );

  // !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! //
  // Don't touch definitions below, unless you really know what you are doing //
  // !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! //

  // Table names
  define('BLOG_USERS_TABLE','Users');
  define('BLOG_POSTS_TABLE','Posts');
  define('BLOG_COMMENTS_TABLE','Comments');
  define('BLOG_TAGS_TABLE','Tags');
  define('BLOG_TAGS2POSTS_TABLE','Tags2Posts');
  define('BLOG_SPAMFILTERS_TABLE','SpamFilters');

  // Database fields (columns)
  define('BLOG_USERS_TABLE_ID','ID');
  define('BLOG_USERS_TABLE_NAME','Fullname');
  define('BLOG_USERS_TABLE_LOGIN','Username');
  define('BLOG_USERS_TABLE_EMAIL','EMail');
  define('BLOG_USERS_TABLE_PASS','Password');
  define('BLOG_USERS_TABLE_STATUS','Status');
  define('BLOG_USERS_TABLE_SESSION','PHPSession');
  define('BLOG_USERS_TABLE_LAST_ACCESS','LastAccess');
  define('BLOG_USERS_TABLE_LJ_NAME','LJ_username');
  define('BLOG_USERS_TABLE_LJ_PASS','LJ_password');

  define('BLOG_POSTS_TABLE_ID','ID');
  define('BLOG_POSTS_TABLE_USER_ID','User_ID');
  define('BLOG_POSTS_TABLE_DATETIME','CreatedOn');
  define('BLOG_POSTS_TABLE_TITLE','Title');
  define('BLOG_POSTS_TABLE_CONTENT','Content');
  define('BLOG_POSTS_TABLE_POST_STATUS','PostStatus');
  define('BLOG_POSTS_TABLE_COMMENT_STATUS','CommentsStatus');
  define('BLOG_POSTS_TABLE_SUBSCRIBE','Subscribe');
  define('BLOG_POSTS_TABLE_LJ','LJ_Post_ID');
  define('BLOG_POSTS_TABLE_LJ_URL','LJ_URL');

  define('BLOG_COMMENTS_TABLE_ID','ID');
  define('BLOG_COMMENTS_TABLE_POST_ID','Post_ID');
  define('BLOG_COMMENTS_TABLE_PARENT_ID','Parent_ID');
  define('BLOG_COMMENTS_TABLE_DATETIME','CreatedOn');
  define('BLOG_COMMENTS_TABLE_AUTHOR','Author');
  define('BLOG_COMMENTS_TABLE_EMAIL','EMail');
  define('BLOG_COMMENTS_TABLE_CONTENT','Content');
  define('BLOG_COMMENTS_TABLE_STATUS','Status');
  define('BLOG_COMMENTS_TABLE_SUBSCRIBE','Subscribe');
  define('BLOG_COMMENTS_TABLE_IP','IP_address');
  define('BLOG_COMMENTS_TABLE_AGENT','Agent');

  define('BLOG_TAGS_TABLE_ID','ID');
  define('BLOG_TAGS_TABLE_NAME','Tag');

  define('BLOG_TAGS2POSTS_TABLE_POST_ID','Post_ID');
  define('BLOG_TAGS2POSTS_TABLE_TAG_ID','Tag_ID');

  define('BLOG_SPAMFILTERS_TABLE_ID','ID');
  define('BLOG_SPAMFILTERS_TABLE_TYPE','Type');
  define('BLOG_SPAMFILTERS_TABLE_KEYWORD','Keyword');

  // LJ Sync database structure
  define('BLOG_LJ_SYNC_POSTS_TABLE','LJ_Posts');
  define('BLOG_LJ_SYNC_POSTS_TABLE_ID','lj_post_id');
  define('BLOG_LJ_SYNC_POSTS_TABLE_POST_ID','blog_post_id');
  define('BLOG_LJ_SYNC_POSTS_TABLE_DATETIME','eventtime');
  define('BLOG_LJ_SYNC_POSTS_TABLE_TITLE','subject');
  define('BLOG_LJ_SYNC_POSTS_TABLE_CONTENT','event');
  define('BLOG_LJ_SYNC_POSTS_TABLE_TAGS','taglist');
  define('BLOG_LJ_SYNC_POSTS_TABLE_SECURITY','security');
  define('BLOG_LJ_SYNC_POSTS_TABLE_URL','url');
  define('BLOG_LJ_SYNC_POSTS_TABLE_ACTION','action');

  // LJ Comments database structure
  define('BLOG_LJ_SYNC_COMMENTS_TABLE','LJ_Comments');
  define('BLOG_LJ_SYNC_COMMENTS_TABLE_ID','id');
  define('BLOG_LJ_SYNC_COMMENTS_TABLE_POSTERID','posterid');
  define('BLOG_LJ_SYNC_COMMENTS_TABLE_STATE','state');
  define('BLOG_LJ_SYNC_COMMENTS_TABLE_JITEMID','jitemid');
  define('BLOG_LJ_SYNC_COMMENTS_TABLE_PARENTID','parentid');
  define('BLOG_LJ_SYNC_COMMENTS_TABLE_SUBJECT','subject');
  define('BLOG_LJ_SYNC_COMMENTS_TABLE_BODY','body');
  define('BLOG_LJ_SYNC_COMMENTS_TABLE_DATE','date');

  // LJ Comments metadata database structure
  define('BLOG_LJ_SYNC_COMMENTS_METADATA_TABLE','LJ_Comments_metadata');
  define('BLOG_LJ_SYNC_COMMENTS_METADATA_TABLE_ID','id');
  define('BLOG_LJ_SYNC_COMMENTS_METADATA_TABLE_POSTERID','posterid');
  define('BLOG_LJ_SYNC_COMMENTS_METADATA_TABLE_STATE','state');

  // LJ Comments usermaps database structure
  define('BLOG_LJ_SYNC_COMMENTS_USERMAPS_TABLE','LJ_Comments_usermaps');
  define('BLOG_LJ_SYNC_COMMENTS_USERMAPS_TABLE_ID','id');
  define('BLOG_LJ_SYNC_COMMENTS_USERMAPS_TABLE_USER','user');

  define('BLOG_LJ_SYNC_SECURITY_FRIENDSONLY','usemask'); // Friends Only
  define('BLOG_LJ_SYNC_SECURITY_PRIVATE','private'); // Private

  // Sleep interval between LJ requests, in microseconds. Should be 200K+, according to their bot policy
  define('BLOG_LJ_SYNC_SLEEP','200000'); 

  // Definitions for various some field values

  define('BLOG_POSTS_TABLE_COMMENT_STATUS_OPEN','0');
  define('BLOG_POSTS_TABLE_COMMENT_STATUS_CLOSE','1');
  define('BLOG_POSTS_TABLE_POST_STATUS_PUBLIC','0');
  define('BLOG_POSTS_TABLE_POST_STATUS_FRIENDS','1');
  define('BLOG_POSTS_TABLE_POST_STATUS_PRIVATE','2');
  define('BLOG_POSTS_TABLE_SUBSCRIBE_NO','0');
  define('BLOG_POSTS_TABLE_SUBSCRIBE_YES','1');
  define('BLOG_COMMENTS_TABLE_SUBSCRIBE_NO','0');
  define('BLOG_COMMENTS_TABLE_SUBSCRIBE_REPLIES','1');
  define('BLOG_COMMENTS_TABLE_SUBSCRIBE_POST','2');
  define('BLOG_COMMENTS_TABLE_STATUS_NORMAL','0');
  define('BLOG_COMMENTS_TABLE_STATUS_SPAM','1');
  define('BLOG_USERS_TABLE_USER_STATUS_LOCKED','0');
  define('BLOG_USERS_TABLE_USER_STATUS_COMMENTER','1');
  define('BLOG_USERS_TABLE_USER_STATUS_REGULAR','2');
  define('BLOG_USERS_TABLE_USER_STATUS_ADMIN','9');
  define('BLOG_SPAMFILTERS_TABLE_TYPE_IP','1');
  define('BLOG_SPAMFILTERS_TABLE_TYPE_BODY_KEYWORD','2');

  // You may need to adjust this, in case you have memory or timeout problems
  ini_set("memory_limit","60M");
  ini_set("max_execution_time","180");
?>
